# Uses of Class
org.snpeff.geneSets.GeneSet

Packages that use GeneSet
Package
Description
org.snpeff.geneSets

## Uses of GeneSet in org.snpeff.geneSets

Methods in org.snpeff.geneSets that return GeneSet
Modifier and Type
Method
Description
`GeneSet`
GeneSets.`disjointSet(List<GeneSet> geneSetList, int activeSets)`
Produce a GeneSet based on a list of GeneSets and a 'mask'
`GeneSet`
GeneSets.`getGeneSet(String geneSetName)`
Get a gene set named 'geneSetName'
`GeneSet`
Result.`getLatestGeneSet()`
Methods in org.snpeff.geneSets that return types with arguments of type GeneSet
Modifier and Type
Method
Description
`List<GeneSet>`
GeneSets.`geneSetsSorted()`
Iterate through each GeneSet in this GeneSets
`List<GeneSet>`
GeneSets.`geneSetsSortedSize(boolean reverse)`
Gene sets sorted by size (if same size, sort by name).
`List<GeneSet>`
Result.`getGeneSets()`
`HashSet<GeneSet>`
GeneSets.`getGeneSetsByGene(String gene)`
All gene sets that this gene belongs to
`HashMap<String,GeneSet>`
GeneSets.`getGeneSetsByName()`
`Iterator<GeneSet>`
GeneSets.`iterator()`
Iterate through each GeneSet in this GeneSets
`Iterator<GeneSet>`
GeneSets.`iteratorSorted()`
Iterate through each GeneSet in this GeneSets
`List<GeneSet>`
GeneSets.`listTopTerms(int numberToSelect)`
Select a number of GeneSets
`Collection<GeneSet>`
GeneSets.`values()`
Methods in org.snpeff.geneSets with parameters of type GeneSet
Modifier and Type
Method
Description
`boolean`
GeneSets.`add(String gene, GeneSet geneSet)`
Add a gene and it's corresponding gene set
`void`
GeneSets.`add(GeneSet geneSet)`
Add a gene set
`int`
GeneSet.`compareTo(GeneSet geneSet)`
Comparable interface (to order terms)
`int`
GeneSet.`countOverlap(GeneSet gs)`
COunt how many genes are in both GeneSets
`void`
GeneSet.`intersection(GeneSet geneSet)`
Intersects this term with 'geneSet' (intersects 'geneSet' and 'interestingGeneSet').
`protected boolean`
GeneSets.`isUsed(GeneSet gs)`
Is this gene set used? I.e.
`protected boolean`
GeneSetsRanked.`isUsed(GeneSet gs)`
Is this gene set used? I.e.
`void`
GeneSets.`remove(GeneSet geneSet)`
`void`
GeneSet.`setMinus(GeneSet geneSet)`
Perform a 'set minus' between this term and 'geneSet' (set minus for 'geneSet' and 'interestingGeneSet').
`void`
GeneSet.`union(GeneSet geneSet)`
Union this term with 'geneSet' (union for 'geneSet' and 'interestingGeneSet').
Method parameters in org.snpeff.geneSets with type arguments of type GeneSet
Modifier and Type
Method
Description
`GeneSet`
GeneSets.`disjointSet(List<GeneSet> geneSetList, int activeSets)`
Produce a GeneSet based on a list of GeneSets and a 'mask'
`void`
Result.`set(List<GeneSet> geneSets, org.apfloat.Apfloat pValue)`
Ser a new list and pvalue
`void`
GeneSets.`setGeneSetByName(HashMap<String,GeneSet> geneSets)`
`void`
Result.`setGeneSets(List<GeneSet> newGeneSets)`
Assign geneSets
Constructors in org.snpeff.geneSets with parameters of type GeneSet
Modifier
Constructor
Description
``
`Result(GeneSet geneSet, org.apfloat.Apfloat pValue, int geneSetCount)`
Constructor parameters in org.snpeff.geneSets with type arguments of type GeneSet
Modifier
Constructor
Description
``
`GeneSet(List<GeneSet> geneSetList, GeneSets geneSets)`
Create a new GeneSet by joining all GeneSets in the list
``
`Result(List<GeneSet> list, double pValue)`